package me.icymint.libra.sage.model.operator;

import me.icymint.libra.sage.model.SqlType;

public class ManagerTypes extends ManagerObjects<SqlType> {

	public ManagerTypes(SqlType... st) {
		super(st, SqlType.class);
	}

	@Override
	public void add(SqlType t) throws SQLExistsException {
		super.add(t);
	}

	@Override
	public SqlType get(int ind) throws SQLNotExistsException {
		for (SqlType tt : this.getAll()) {
			if (tt.getIndex() == ind)
				return tt;
		}
		throw new SQLNotExistsException("未找到序号为" + ind + "的Sql类型。");
	}

	@Override
	public int getIndexOf(String name) throws SQLNotExistsException {
		for (SqlType tt : this.getAll()) {
			if (isEqual(getName(tt), name))
				return tt.getIndex();
		}
		throw new SQLNotExistsException("未找到名称为" + name + "的Sql类型。");
	}

	@Override
	protected String getName(SqlType t) {
		return t.getId();
	}

}
