package me.icymint.libra.sage.model.orm;

/**
 * 实现该接口的对象可以被自动映射到数据库。
 * 
 * @author Daniel
 * @datetime 2012-12-24上午8:35:52
 * 
 */
public interface DataMapping {
	/**
	 * 处理映射关系，主要是添加数据库和字段之间的关联。
	 * 
	 * @param map
	 * @return
	 */
	<T> Mapping<T> filterMapping(Mapping<T> map);
}
